#!/bin/bash

. .config.sh

echo "********** add device file (/dev) **********"

cd $ROOT/dev

# for TTY devices (Serial) (/dev/ttyS*)
# comment out because /dev/ttyS0 is alerady created by make_devices
# [ -c ttyS0 ] || mknod --mode=644 ttyS0 c 4 64 
for i in 1 2 3 4
do
	j=$(($i + 64))
	[ -c ttyS$i ] || mknod --mode=644 ttyS$i c 4 $j
done

# for SCSI device (USB storage) (/dev/sda*)
# comment out because /dev/sda is alerady created by autofs
# [ -b sda ] || mknod --mode=660 sda b 8 0
for i in 1 2 3 4 5 6 7 8
do
	[ -b sda$i ] || mknod --mode=666 sda$i b 8 $i
done
[ -b sdb ] || mknod --mode=666 sdb b 8 16
for j in 1 2 3 4 5 6 7 8
do
	k=$(($j + 16))
	[ -b sdb$j ] || mknod --mode=666 sdb$j b 8 $k
done

echo "********** add device file (/dev) **********"
