
#!/bin/bash

. .config.sh

if [ "$HOME_SYSTEMFILES_PATH" = "home/hitachi" ]; then
    exit
fi

echo "********** change from hitachi to toshitba **********"

cd $ROOT

#
# change file name
#
mv etc/hitachi-version etc/system-version

#
# change path in file for hitachi
#
# sbin/init:cat /etc/hitachi-version
# perl -pi -e "s/hitachi-version/system-version/" $CACHE/inits/init/\,/01_mlinit-0.2
# etc/mtools.conf:#mtools.conf files for hitachi
perl -pi -e "s/ for hitachi//" etc/mtools.conf

#
# change path in file for /home/hitachi
#
# sbin/init:IECFG=/home/hitachi/iecfg
# usr/local/bin/preCP.sh:SRCDIR=/home/hitachi/iecfg/dialup
# usr/local/bin/preCP.sh:DISTDIR=/home/hitachi/etc/ppp
# usr/local/bin/preCP.sh:cp -pdf $SRCDIR/$1/resolv.conf /home/hitachi/etc/.
# usr/local/share/recovery/iecfg/syncConf.sh:SRCDIR=/home/hitachi/iecfg/dialup
# usr/local/share/recovery/iecfg/syncConf.sh:DISTDIR=/home/hitachi/etc/ppp
# usr/local/share/recovery/iecfg/syncConf.sh:    cp -pdf $SRCDIR/$DIALUP/resolv.conf /home/hitachi/etc/.
# usr/X11R6/init:if /home/hitachi/tm/p1check ; then
# usr/X11R6/init:    while /home/hitachi/tm/p1check; do
# usr/X11R6/init:    /usr/X11R6/bin/xinit /home/hitachi/tm/xinitrc -- /usr/X11R6/bin/X -dpi $XDPI -allowMouseOpenFail > /dev/null 2>&1 &
# usr/X11R6/xinitrc:IENAVI=/home/hitachi/ienavi
# home/system/iecfg/iecfg.dat:NETWORK_SCRIPT=/home/hitachi/iecfg/iecfg_update
# home/system/iecfg/iecfg.dat:DIALUP_SCRIPT=/home/hitachi/iecfg/syncConf.sh
# home/system/iecfg/quickbtn.dat:Ƥ=/home/hitachi/bin/s4program
# home/system/iecfg/syncConf.sh:SRCDIR=/home/hitachi/iecfg/dialup
# home/system/iecfg/syncConf.sh:DISTDIR=/home/hitachi/etc/ppp
# home/system/iecfg/syncConf.sh:    cp -pdf $SRCDIR/$DIALUP/resolv.conf /home/hitachi/etc/.
# home/system/bin/temolib-paste.sh:/usr/local/bin/iemenu /home/hitachi/bin/TemolibPasteChange.cfg
# home/system/bin/TemolibPasteChange.cfg:ScriptPath=/home/hitachi/bin/temolib-ctlv.sh
# home/system/bin/TemolibPasteChange.cfg:ScriptPath=/home/hitachi/bin/temolib-altv.sh
# home/system/etc/pcmcia/wireless:	cp -dpf $IECFG/wirelesslan/samsung/hostname /home/hitachi/etc/hostname
# home/system/etc/pcmcia/wireless:	cp -dpf $IECFG/wirelesslan/samsung/hosts /home/hitachi/etc/hosts
# home/system/etc/pcmcia/wireless:	cp -dpf $IECFG/wirelesslan/samsung/network /home/hitachi/etc/sysconfig/network
# home/system/etc/pcmcia/wireless:	cp -dpf $IECFG/wirelesslan/samsung/resolv.conf /home/hitachi/etc/resolv.conf
# home/system/etc/pcmcia/wireless:	cp -dpf $IECFG/wirelesslan/samsung/network.opts /home/hitachi/etc/pcmcia/network.opts
# home/system/etc/pcmcia/wireless:	cp -dpf $IECFG/wirelesslan/samsung/wireless.opts /home/hitachi/etc/pcmcia/wireless.opts
# home/system/etc/pcmcia/wireless:	cp -dpf $IECFG/wirelesslan/melco/hostname /home/hitachi/etc/hostname
# home/system/etc/pcmcia/wireless:	cp -dpf $IECFG/wirelesslan/melco/hosts /home/hitachi/etc/hosts
# home/system/etc/pcmcia/wireless:	cp -dpf $IECFG/wirelesslan/melco/network /home/hitachi/etc/sysconfig/network
# home/system/etc/pcmcia/wireless:	cp -dpf $IECFG/wirelesslan/melco/resolv.conf /home/hitachi/etc/resolv.conf
# home/system/etc/pcmcia/wireless:	cp -dpf $IECFG/wirelesslan/melco/network.opts /home/hitachi/etc/pcmcia/network.opts
# home/system/etc/pcmcia/wireless:	cp -dpf $IECFG/wirelesslan/melco/wireless.opts /home/hitachi/etc/pcmcia/wireless.opts
# home/system/etc/rc.d/init.d/network:	cp -dpf $IECFG/lan/hostname /home/hitachi/etc/hostname
# home/system/etc/rc.d/init.d/network:	cp -dpf $IECFG/lan/hosts /home/hitachi/etc/hosts
# home/system/etc/rc.d/init.d/network:	cp -dpf $IECFG/lan/ifcfg-eth0 /home/hitachi/etc/sysconfig/network-scripts/ifcfg-eth0
# home/system/etc/rc.d/init.d/network:	cp -dpf $IECFG/lan/network /home/hitachi/etc/sysconfig/network
# home/system/etc/rc.d/init.d/network:	cp -dpf $IECFG/lan/resolv.conf /home/hitachi/etc/resolv.conf
# usr/local/share/recovery/xinitrc:IENAVI=/home/hitachi/ienavi
# usr/local/share/recovery/xinitrc:	xloadimage /home/hitachi/background/rasen.jpg -onroot -quiet
# usr/local/share/recovery/scripts/ienavi.sh:rm -f /home/hitachi/ienavi/*
# usr/local/share/recovery/scripts/ienavi.sh:cp -pf $RECOVER_DIR/ienavi/* /home/hitachi/ienavi
# usr/local/share/recovery/scripts/ienavi.sh:touch -c /home/hitachi/ienavi/*
# usr/local/share/recovery/scripts/network.sh:rm -Rf /home/hitachi/iecfg/*
# usr/local/share/recovery/scripts/network.sh:cp -pRf $RECOVER_DIR/iecfg/* /home/hitachi/iecfg/.
# usr/local/share/recovery/scripts/network.sh:touch -c /home/hitachi/iecfg/*
# usr/local/share/recovery/scripts/network.sh:touch -c /home/hitachi/iecfg/*/*
# usr/local/share/recovery/scripts/network.sh:touch -c /home/hitachi/iecfg/*/*/*
# usr/local/share/recovery/scripts/time.sh:rm -f /home/hitachi/etc/adjtime
# usr/local/share/recovery/scripts/time.sh:rm -f /home/hitachi/etc/localtime
# usr/local/share/recovery/scripts/time.sh:rm -f /home/hitachi/etc/sysconfig/clock
# usr/local/share/recovery/scripts/time.sh:cp -pf $RECOVER_DIR/time/adjtime /home/hitachi/etc/.
# usr/local/share/recovery/scripts/time.sh:touch -c /home/hitachi/etc/adjtime 
# usr/local/share/recovery/scripts/time.sh:cp -pf $RECOVER_DIR/time/localtime /home/hitachi/etc/.
# usr/local/share/recovery/scripts/time.sh:touch -c /home/hitachi/etc/localtime
# usr/local/share/recovery/scripts/time.sh:cp -pf $RECOVER_DIR/time/clock /home/hitachi/etc/sysconfig/.
# usr/local/share/recovery/scripts/time.sh:touch -c /home/hitachi/etc/sysconfig/clock 
# home/system/bios/up_bios.sh:cd /home/hitachi/bios
# home/system/tm/xinitrc:/home/hitachi/tm/tm

for file in sbin/init usr/local/bin/preCP.sh usr/local/share/recovery/iecfg/syncConf.sh usr/X11R6/init usr/X11R6/xinitrc home/system/iecfg/iecfg.dat home/system/iecfg/quickbtn.dat home/system/iecfg/syncConf.sh home/system/bin/temolib-paste.sh home/system/bin/TemolibPasteChange.cfg home/system/etc/pcmcia/wireless home/system/etc/rc.d/init.d/network usr/local/share/recovery/xinitrc usr/local/share/recovery/scripts/ienavi.sh usr/local/share/recovery/scripts/network.sh usr/local/share/recovery/scripts/time.sh home/system/bios/up_bios.sh home/system/tm/xinitrc
do
    if [ -f $file ]; then
	perl -pi -e "s/\/home\/hitachi\//\/home\/system\//" $file
    fi
done

# Binary file ./lib/modules/pmmod.o matches
# Binary file ./usr/local/bin/ieconfig matches
# Binary file ./usr/local/bin/pm matches
# Binary file ./usr/local/bin/pmd matches
# Binary file ./usr/local/bin/pmacpid matches
# Binary file ./home/system/tm/tm matches
# Binary file ./home/system/bios/up_bios_kernel.o matches
# Binary file ./home/system/bios/up_bios matches

echo "********** changed from hitachi to toshitba **********"
